--- doc/src/sgml/hstore.sgml.orig	2014-01-12 15:37:59.292863864 +0100
+++ doc/src/sgml/hstore.sgml	2014-01-13 00:17:51.454592023 +0100
@@ -55,11 +55,11 @@
    The text representation of an <type>hstore</>, used for input and output,
    may be formatted as scalar values, hash-like values, array-like values, and
    nested array and hash values. Scalar values are simply strings, numeric
-   values, booleans, or <literal>NULL</>. Strings continaining whitespace,
+   values, booleans, or <literal>NULL</>. Strings containing whitespace,
    commas, <literal>=</>s or <literal>&gt;</>s must be double-quoted. To
    include a double quote or a backslash in a key or value, escape it with a
-   backslash. Boolean values may be represnted as <literal>true</>, <literal>t</>,
-   <literal>false</>, or <literal>f</>. Use quotation marks to represent thes
+   backslash. Boolean values may be represented as <literal>true</>, <literal>t</>,
+   <literal>false</>, or <literal>f</>. Use quotation marks to represent these
    values as strings. The <literal>NULL</> keyword is case-insensitive.
    Double-quote the <literal>NULL</> to treat it as the ordinary string
    <quote>NULL</quote>. Some examples:
@@ -87,9 +87,9 @@
   </para>
 
   <para>
-   Hashes includes zero or more
+   Hashes include zero or more
    <replaceable>key</> <literal>=&gt;</> <replaceable>value</> pairs separated
-   by commas, optionally brackted by curly braces. Keys must be strings and
+   by commas, optionally bracketed by curly braces. Keys must be strings and
    may not be <literal>NULL</>; values may be any <type>hstore</> type,
    including <literal>NULL</>. Examples:
 
@@ -291,7 +291,7 @@
 
      <row>
       <entry><type>hstore</> <literal>?&gt;</> <type>integer</></entry>
-      <entry><type>bolean</></entry>
+      <entry><type>boolean</></entry>
       <entry>get boolean value for array index (<literal>NULL</> if not boolean or not present)</entry>
       <entry><literal>'[false,null,44]'::hstore ?&gt; 0</literal></entry>
       <entry><literal>f</literal></entry>
@@ -316,7 +316,7 @@
      <row>
       <entry><type>hstore</> <literal>#?&gt;</> <type>text[]</></entry>
       <entry><type>boolean</></entry>
-      <entry>get boolean value for key path (<literal>NULL</> if not booelan or not present)</entry>
+      <entry>get boolean value for key path (<literal>NULL</> if not boolean or not present)</entry>
       <entry><literal>'foo =&gt; {bar =&gt; true}'::hstore #?&gt; '[foo,bar]'</literal></entry>
       <entry><literal>t</literal></entry>
      </row>
@@ -905,7 +905,7 @@
 
      <row>
       <entry><literal>pretty_print</></entry>
-      <entry>Adds add newlines between values and indents nested hashes and arrays.</entry>
+      <entry>Adds newlines between values and indents nested hashes and arrays.</entry>
       <entry><literal>hstore_print('a=&gt;t, t=&gt;"f", arr=&gt;[1,2,"3"]', pretty_print := true)</literal></entry>
       <entry>
 <programlisting>
@@ -938,7 +938,7 @@
 
      <row>
       <entry><literal>json</></entry>
-      <entry>Retuns the value as a JSON string</entry>
+      <entry>Returns the value as a JSON string</entry>
       <entry><literal>hstore_print('arr=&gt;[1,2,"3"]', json := true)</literal></entry>
       <entry><literal>"arr": [1, 2, "3"]</literal></entry>
      </row>
@@ -1007,7 +1007,7 @@
 
   <para>
    But <literal>populate_record()</> supports more complicated records and nested
-   <type>hstore</a> values, as well. It makes an effort to convert
+   <type>hstore</> values, as well. It makes an effort to convert
    from <type>hstore</> data types to PostgreSQL types, including arrays,
    <type>json</>, and <type>hstore</> values:
 <programlisting>